Package Details: archey3-git 0.4+r57+gac68752-1

Git Clone URL: https://aur.archlinux.org/archey3-git.git (read-only, click to copy)
Package Base: archey3-git
Description: Python script to display system information alongside the Arch Linux logo.
Upstream URL: https://lclarkmichalek.github.io/archey3/
Keywords: info system
Licenses: GPL
Conflicts: archey, archey3
Provides: archey
Submitter: xyproto
Maintainer: HLFH
Last Packager: HLFH
Votes: 172
Popularity: 0.000031
First Submitted: 2013-11-02 12:03 (UTC)
Last Updated: 2021-12-08 15:32 (UTC)

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

HLFH commented on 2021-12-08 15:37 (UTC)

package updated and fixed on minor issues

HLFH commented on 2020-07-11 12:09 (UTC)

@thibaultmol github pages URL has changed because the user has changed his username: I updated to the new URL in this new package

thibaultmol commented on 2020-05-23 14:38 (UTC)

upstream url broken?

massimilianonba commented on 2018-08-12 20:03 (UTC)

Same oddworld's problem and i can confirm that the elder's solution work. Many thanks!!

Elder commented on 2018-08-11 20:11 (UTC) (edited on 2018-08-11 20:35 (UTC) by Elder)

Hello oddworld, yes I upgraded the system and have got the same problem. Solved it just.

changed line 805: raise StopIteration to return StopIteration

and

changed line 551: SafeConfigParser to ConfigParser

oddworld commented on 2018-08-07 06:26 (UTC) (edited on 2018-08-07 06:27 (UTC) by oddworld)

Does anyone else get the following after recent updates?

/usr/bin/archey3:862: DeprecationWarning: The SafeConfigParser class has been renamed to ConfigParser in Python 3.2. This alias will be removed in future versions. Use ConfigParser directly instead.

config = ArcheyConfigParser()

Traceback (most recent call last):

File "/usr/bin/archey3", line 805, in parse_display

raise StopIteration

StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File "/usr/bin/archey3", line 869, in <module>
main()
File "/usr/bin/archey3", line 866, in main
archey.run(options.screenshot)
File "/usr/bin/archey3", line 728, in run
print(self.render())
File "/usr/bin/archey3", line 734, in render
results = self.prepare_results()
File "/usr/bin/archey3", line 753, in prepare_results
for cls_name, args in self.parse_display():
RuntimeError: generator raised StopIteration

jghodd commented on 2017-01-05 04:52 (UTC)

just an fyi that archey has an issue with some languages other than english. ramDisplay is looking for the line starting with 'Mem:', which, for instance, is 'Speicher:' in German - so German users get an error. i'm reasonably certain that German isn;t the only language with this problem. i would anticipate that any Asian languages would run into the same problem, as well as Cyrillic. since the output of free -m is predictable, perhaps the function should always seek out the second line (index 1) vs. the line that starts with 'Mem:'.

triforce commented on 2016-04-13 09:27 (UTC)

This builds fine for me.

moscar commented on 2016-02-01 19:40 (UTC) (edited on 2016-02-01 19:40 (UTC) by moscar)

This fails to build with the error: "ERROR: source should be an array" I assume this was introduced with pacman 5.

tuftedocelot commented on 2014-11-29 16:51 (UTC)

RAM use is now fixed upstream

tuftedocelot commented on 2014-11-14 16:28 (UTC)

This issue has been reported upstream so hopefully it will be resolved soon: https://github.com/bluepeppers/archey3/issues/24

nashumannn commented on 2014-11-14 09:35 (UTC)

@cobalt45xy: I'm having the exact same problem. Some things i've noted(all on intel i7): -it's not a simple arithmetic error as the negative value is not equal to the unused ram -it's the same for both the 3.16.x and 3.17.x kernels -it's the same with and without pre-loading the intel-ucode initramfs on both kernel series -it's the same both for the standard "archey" package and this git version Hope this helped ever so slightly, Nashwan.

cobalt45xy commented on 2014-11-14 04:23 (UTC)

For some strange reason my RAM in use is now showing up as negative. It didn't do this before the update a few days ago. I'm on xfce4 kernel 3.17.2. I can get a screenshot if needed.

tuftedocelot commented on 2014-11-11 18:16 (UTC)

Done. Thanks, zegoti

zegoti commented on 2014-11-10 20:23 (UTC)

please replace conflicts=('archey') to conflicts=('archey3' 'archey')

tuftedocelot commented on 2014-08-17 13:06 (UTC)

It is already set as a conflict with archey. Setting it as replace would be poor form per the wiki: "If you are providing an alternate version of an already existing package, use the conflicts variable which is only evaluated when actually installing the conflicting package." Or did I misunderstand you?

msx commented on 2014-08-16 17:29 (UTC)

Hi, please set archey3 as either conflicts or replace dependency.

Sub0 commented on 2014-08-16 09:52 (UTC)

Same problem than farnsworth here. fs(/) is not displayed (why ?) but any other directory works fine. How to display / ?

tuftedocelot commented on 2014-03-20 01:55 (UTC)

Updated to hopefully fix issues below. Please let me know if I goofed something up. It worked on my machine

carstene1ns commented on 2014-03-14 23:11 (UTC)

No wonder this package is broken... it is a '-git' package with a static source, which is based on a specific checkout of the repository. The pkgver function will not work correctly like this. With a "workaround" like setting the pkgver to a specific revision, this package is useless. The source array should be changed to the git url and upstream needs to add a 0.5 tag, then this can work again as expected.

frank604 commented on 2014-02-07 07:35 (UTC)

As per Lorem-Ipsum's comment I removed the git describe in favor of echo $pkgver. pkgrel upped to 2 for this fix.

youngunix commented on 2014-01-25 20:47 (UTC)

Sorry for the inconvenience, but I can no longer maintain this package due to a tight schedule. I will be dropping it for someone else with free time.

Lorem-Ipsum commented on 2014-01-25 16:40 (UTC)

For some reason this package is not updating it's package version so it gets pulled down and rebuilt every time I run updates.

adminempire commented on 2013-11-18 21:00 (UTC)

package has been updated to use what replaced python-distribute. I did not up the pkgrel since there was no other change.

adminempire commented on 2013-11-15 23:57 (UTC)

Sorry just picked up the package and have not had a chance to update it properly. If you would like it let me know. If not will be a few more days or so before I have the time.

commented on 2013-11-15 23:55 (UTC)

"Dependency `python-distribute' of `archey3-git' does not exist."

xyproto commented on 2013-11-02 12:04 (UTC)

@BluePeppers, renamed the package to archey3-git.

BluePeppers commented on 2013-06-22 21:26 (UTC)

Done

graysky commented on 2013-06-22 14:43 (UTC)

@BlueP - Will you update the PKGBUILD for pacman 4.x? https://github.com/bluepeppers/archey3/pull/14

BluePeppers commented on 2013-05-16 20:34 (UTC)

I see them, I just don't respond most of the time (or leave it a few months before responding). Oh the joys of being lazy. As graysky said, submit a pull request, otherwise I'll implement the change at some point in the future :) I agree that sanitization of the CPU model is something that is a tad lacking at the moment.

graysky commented on 2013-05-16 20:29 (UTC)

techb - If you feel it's value-added send a pull request on github. The dev is likely not to see your comment here.

commented on 2013-05-16 20:18 (UTC)

I modified the archey script in /usr/bin/archey line 390 in the class cpuDisplay. Before I modified it, the cpu model name had a lot of white space between the words and would make a newline and mess up the logo. Old: infodict[k.strip()] = v.strip() Changed: infodict[k.strip()] = ' '.join(v.split()) Works much better.

BluePeppers commented on 2013-02-28 12:44 (UTC)

So the problem is that XDG_CONFIG_HOME is no longer defined. This isn't actually uncommon, and archey3 uses ~/.archey3.cfg when that happens. As far as I'm concerned, that's expected behavior. However, as people are now resetting their XDG_CONFIG_HOME's, I think some might be doing `export XDG_CONFIG_HOME='$HOME/.config'`. This is not good, as it means that XDG_CONFIG_HOME is set to "$HOME/.config", _not_ "<the value of $HOME>/.config". I've committed a fix for this (it's ugly and breaks if you have a $ in your username (which is unlikely)). That said, archey3 still isn't great at handling bad config file loading and stuff. That FileNotFoundError never should have happened, and while I think I've solved that, I can still see a few ways to break it (all of which I am too lazy to fix right now). Anyway, hopefully the latest couple of commits should have fixed some of the problems, though I can believe it'll just SyntaxError as soon as you run it ;)

Antunes commented on 2013-02-28 11:44 (UTC)

I found the relevant bug discussion here: https://bugs.archlinux.org/task/31204 It might be a good idea to use an absolute path instead of those variables, as ivantomica pointed out before.

graysky commented on 2013-02-26 21:15 (UTC)

I am getting this too... something changed with our systems, not with archey3. Where is $XDG_CONFIG_HOME defined on Arch by default and why has it suddenly disappeared?

commented on 2013-02-26 19:38 (UTC)

You could also do something like: export XDG_CONFIG_HOME="$HOME/.config" i did that on my main machine and it started reading good config file.. :)

Antunes commented on 2013-02-26 13:31 (UTC)

Hmm, my $XDG_CONFIG_HOME is currently set to /home/$user, not to /home/$user/.config. That's why it cannot find the file.

commented on 2013-02-26 13:02 (UTC)

Antunes: i just changed $XDG... in /usr/bin/archey to absolute path (e.g. /home/$user/.config/archey3.cfg

Antunes commented on 2013-02-26 12:16 (UTC)

The problem mutterschiff mentioned is back after today's update: FileNotFoundError: [Errno 2] No such file or directory: '$XDG_CONFIG_HOME/archey3.cfg' The file archey3.cfg is in my .config/ directory though.

commented on 2013-02-12 00:42 (UTC)

Is is possible to have archey or alsi display the log /info screen in terminator when you use the clear command to clean screen? Thanks

commented on 2013-02-12 00:07 (UTC)

Is is possible to have archey or alsi display the log /info screen in terminator when you use the clear command to clean screen? Thanks

BluePeppers commented on 2012-12-25 12:14 (UTC)

Fixed

tom.swartz07 commented on 2012-10-05 02:48 (UTC)

Hey BluePeppers, I've had the same issue as mustterschiff. Obvously you know that the issue is related to a missing .config folder. Perhaps it would be a trivial change to catch the situation where the .config dir doesn't exist and make it?

BluePeppers commented on 2012-08-14 19:14 (UTC)

Fixed the uname -p issue, will look into the problem in environments without an XDG_CONFIG_HOME

mutterschiff commented on 2012-08-07 12:12 (UTC)

executed as root: Traceback (most recent call last): File "/usr/bin/archey", line 810, in <module> main() File "/usr/bin/archey", line 804, in main config.read(options.config) File "/usr/bin/archey", line 528, in read self.write_config(config_location) File "/usr/bin/archey", line 552, in write_config with open(location, 'w') as configfile: IOError: [Errno 2] No such file or directory: '$XDG_CONFIG_HOME/archey3.cfg' as normal user it runs fine

setkeh commented on 2012-07-15 15:52 (UTC)

Uname -p also gives me "unknown" please update the processor to use /proc/cpuinfo :) cheers

commented on 2012-07-11 18:35 (UTC)

I think that processor should be taken from /proc/cpuinfo. For me uname -p gives unknown.

graysky commented on 2012-05-18 20:13 (UTC)

Don't use yaourt... try makepkg

burntcookie90 commented on 2012-04-06 02:05 (UTC)

Copying Archey3.egg-info to /tmp/yaourt-tmp-burntcookie90/aur-archey3/pkg/usr/local/lib/python2.7/site-packages/Archey3-0.4-py2.7.egg-info running install_scripts creating /tmp/yaourt-tmp-burntcookie90/aur-archey3/pkg/usr/local/bin copying build/scripts-2.7/archey3 -> /tmp/yaourt-tmp-burntcookie90/aur-archey3/pkg/usr/local/bin changing mode of /tmp/yaourt-tmp-burntcookie90/aur-archey3/pkg/usr/local/bin/archey3 to 755 ln: failed to create symbolic link ‘/tmp/yaourt-tmp-burntcookie90/aur-archey3/pkg/usr/bin/archey’: No such file or directory ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build archey3. Error occurs when using makepkg and yaourt. Any thoughts?

farnsworth commented on 2012-03-17 16:35 (UTC)

Hi, It seems like LANG variable is affecting the result, for example my archey3.cfg contains: display_modules = fs(/), fs(/boot), fs(/home) When LANG is set to fr_FR.utf8 (or maybe something else) I only obtain this line: #########. .########` Boot: 35M / 97M (36%) (ext2) When I set it to en_US I have the good result: .#######; ;#####. Root: 5.5G / 9.8G (56%) (ext4) #########. .########` Boot: 35M / 97M (36%) (ext2) ######' '###### Home: 6.1G / 98G (6%) (ext4) all other options are OK, only fs() seems impacted. Is there a solution to solve this? Thanks for your help

graysky commented on 2011-12-10 19:23 (UTC)

@bluepeepers - can you add detection for openbox and lxde into the WM and DE? Both show up as 'None' using archey3 uploaded on September 17, 2011. $ ps aux | grep lxde facade 1528 0.0 0.0 12676 884 ? S 11:05 0:00 ck-launch-session startlxde facade 1554 0.0 0.1 95200 7192 ? S 11:05 0:00 openbox --config-file /home/facade/.config/openbox/lxde-rc.xml $ archey + # ### ##### OS: Arch Linux x86_64 ###### Hostname: mars ; #####; Kernel Release: 3.1.5-2-ck +##.##### Uptime: 3:17 +########## Packages: 486 #############; WM: None ###############+ DE: None ####### ####### RAM: 485 MB / 3924 MB .######; ;###;`". Root: 4.8G / 15G (32%) (ext4) .#######; ;#####. Boot: 17M / 97M (17%) (ext2) #########. .########` Media: 529G / 901G (58%) (ext4) ######' '###### ;#### ####; ##' '## #' `#

commented on 2011-11-06 21:46 (UTC)

gnome-session and gnome-shell wm shows also None. should be Mutter for gnome3 (gnome-shell) I guess

BluePeppers commented on 2011-11-05 11:26 (UTC)

I haven't updated archey for gnome3. I don't have gnome3 installed, so I'll need to know the name of a process that is always running when gnome3 is running, I.e. ksmserver for KDE

commented on 2011-11-04 23:21 (UTC)

KDE detection does work fine now, however I have recently tried GNOME 3 and Archey does not give the WM for GNOME 3

BluePeppers commented on 2011-09-19 08:07 (UTC)

@trc, when did you install archey3, as I pushed a few updates relating to WM and DE detection only a couple of days ago. On my system, archey3 detects KDE & KWin fine.

commented on 2011-09-19 04:05 (UTC)

the WM and DE fields are blank on mine as well. I'm using KDE.

BluePeppers commented on 2011-09-08 17:24 (UTC)

I'll have a look at that this weekend, along with the FS module bug.

graysky commented on 2011-09-08 17:13 (UTC)

$ ps aux | grep xfce4-session facade 11242 0.0 0.1 249284 11344 ? Sl 11:37 0:00 xfce4-session

graysky commented on 2011-09-08 17:11 (UTC)

@BP - why does WM and DE show up as "None" for my Xfce4 system?

graysky commented on 2011-09-05 20:37 (UTC)

Nice, thanks!

BluePeppers commented on 2011-09-04 15:41 (UTC)

Done

BluePeppers commented on 2011-09-04 15:11 (UTC)

Hmm I'll add imagemagick to the optdepends, and add the screenshot command as a config option with imagemagick as the default.

graysky commented on 2011-09-04 14:39 (UTC)

That's what I thought... since that's an optional function, how do you feel about moving to an optdeps array?

BluePeppers commented on 2011-09-04 12:19 (UTC)

It depends on imagemagick for the -s option of screenshotting on output

graysky commented on 2011-09-04 11:12 (UTC)

Does archey3 really depend on imagemagick? Isn't that optional for screenshots? I edited the PKGBUILD and archey runs happily without it.

commented on 2011-07-11 18:35 (UTC)

Strange, since I still can get no output for fs(/). fs(/home) and fs(/boot) do work, though...

BluePeppers commented on 2011-07-11 14:31 (UTC)

Yeah, it's fixed. It uses `locale` to detect the character used as a decimal point.

commented on 2011-07-11 14:22 (UTC)

Were you able to fix the locale issue in the meantime? I really like archey3 and the fs(/) output is kind of essential to me...

commented on 2011-06-12 19:59 (UTC)

I'm using de_DE.utf8 (German locale) btw.

BluePeppers commented on 2011-06-12 16:09 (UTC)

Ah, that's a locale issue. Should be fixed now, hopefully locale -ck decimal_point is reliable.

graysky commented on 2011-06-12 16:02 (UTC)

@bp - nice, thanks!

commented on 2011-06-12 13:46 (UTC)

Still no output for fs(/) for me... ERROR: fsDisplay: Could not colorize output, errored with could not convert string to float: '4,9'

BluePeppers commented on 2011-06-12 12:36 (UTC)

Fixed symlink problem. @graysky, I generally use the color to indicate space usage, i.e. 80% = may need to clear out drive some time soon. I've added two new options though that will let you set the bounds at which the colors change. Add this to your config file to change the color limits to 75/90 [fs] low_bound = 75 medium_bound = 90

graysky commented on 2011-06-12 11:02 (UTC)

suggestion: change color limits to 75/90 why: most file systems preform fine up to ~75 % usage and then become more prone to fragmentation. --- archey3 2011-06-12 06:59:23.000000000 -0400 +++ archey3 2011-06-12 06:59:46.171086029 -0400 @@ -172,8 +172,8 @@ return self.format_output(stdoutdata.decode()) - def color_me(self, output, number=None, low=30, low_color='green', - medium=60, medium_color='yellow', high_color='red'): + def color_me(self, output, number=None, low=75, low_color='green', + medium=90, medium_color='yellow', high_color='red'): if number is None and output.isdigit(): number = int(output) elif number is None:

graysky commented on 2011-06-12 10:52 (UTC)

new bug: your symlink don't work when the pkg installs: $ ls -l /usr/bin/archey* lrwxrwxrwx 1 root root 36 Jun 12 06:44 /usr/bin/archey -> /dev/shm/archey3/pkg/usr/bin/archey3 -rwxr-xr-x 1 root root 24748 Jun 12 06:44 /usr/bin/archey3 Note that the link points to the patch I used to compile archey3

graysky commented on 2011-06-12 10:45 (UTC)

nice, BP that fixed it

BluePeppers commented on 2011-06-11 11:55 (UTC)

Ok, I can't replicate the issue, but from the error message, I think I've fixed it. The --debug option should be a bit more intuative aswell.

flienteen commented on 2011-06-10 21:09 (UTC)

graysky, same to me. BluePeppers, [core] color = blue align = top display_modules = distro(), uname(n), uname(r), uptime(), wm(), packages(), ram(), env(editor), fs(/), fs(/home) $ archey3 --debug=0 [2011-06-10 21:06] ERROR: fsDisplay: Could not colorize output, errored with invalid literal for int() with base 10: '2.6' [2011-06-10 21:06] ERROR: Core: Could not render line for fsDisplay, failed with error local variable 'persentage' referenced before assignment [2011-06-10 21:06] ERROR: fsDisplay: Could not colorize output, errored with invalid literal for int() with base 10: '2.3' [2011-06-10 21:06] ERROR: Core: Could not render line for fsDisplay, failed with error local variable 'persentage' referenced before assignment

BluePeppers commented on 2011-06-09 12:34 (UTC)

Install python-logbook-git for logging, and then I'll be able to tell where it failed :)

graysky commented on 2011-06-09 11:56 (UTC)

Nice, but mine doesn't display the file systems: [core] color = blue align = center display_modules = distro(), uname(n), uname(r), uptime(), packages(), ram(), fs(/), fs(/home), fs(/boot), fs(/var), fs(/media/data) $ archey3 + # ### ##### ###### ; #####; OS: Arch Linux x86_64 +##.##### Hostname: facade +########## Kernel Release: 2.6.39-ck #############; Uptime: 0:08 ###############+ Packages: 701 ####### ####### RAM: 502 MB / 3964 MB .######; ;###;`". Boot: 19M / 194M (9%) (ext3) .#######; ;#####. Data: 285G / 728G (39%) (fuseblk) #########. .########` ######' '###### ;#### ####; ##' '## #' `#

BluePeppers commented on 2011-06-09 10:55 (UTC)

The config file is in $XDG_DATA_HOME/archey3.cfg, which is usually ~/.config/archey3.cfg. There are some example configs at http://bluepeppers.github.com/archey3/examples.html.

graysky commented on 2011-06-08 22:32 (UTC)

where does one store the config file and what should it be named :)

BluePeppers commented on 2011-06-08 10:20 (UTC)

And that's why you don't do these things at 3am. Sorted.

LEW21 commented on 2011-06-08 10:13 (UTC)

It should depend on python-distribute.

ravicious commented on 2011-06-08 05:00 (UTC)

Same here.

graysky commented on 2011-06-07 01:00 (UTC)

==> Starting make... Traceback (most recent call last): File "setup.py", line 2, in <module> from setuptools import setup ImportError: No module named setuptools ==> ERROR: A failure occurred in build(). Aborting...

BluePeppers commented on 2011-02-20 23:38 (UTC)

Try the latest commit. It may print an error message, but it shouldn't crash. The actual screen shot should still work.

commented on 2011-02-20 16:59 (UTC)

I am getting the same message as Merkil. Imagemagick is installed. 'import -window root foo.jpg' outputs no error message.

BluePeppers commented on 2011-01-23 17:12 (UTC)

sorry, that should have been `import -window root foo.jpg`

commented on 2011-01-23 15:25 (UTC)

bash: imagemagick: command not found I'm sure extra/imagemagick is installed... According to `yaourt -Ql imagemagick` there is not any program called imagemagick.

BluePeppers commented on 2011-01-23 15:11 (UTC)

Can you try running `imagemagick -window root foo.jpg`? The error message indicates that a 'coder' module is missing, very odd.

commented on 2011-01-23 14:29 (UTC)

Yes it is. extra/imagemagick. I'm running an x86_64 Arch, and I don't use testing/.

BluePeppers commented on 2011-01-23 12:11 (UTC)

Merkil, do you have imagemagick installed? Because I can't replicate that error.

commented on 2011-01-23 11:58 (UTC)

Hello, I get an error when i archey3 -s : import: impossible de charger le module `/usr/lib/ImageMagick-6.6.6/modules-Q16/coders/ps.la': file not found @ error/module.c/OpenModule/1276. import: pas de délégué pour encoder ce format d'image `Sun_Jan_23_12:51:38_2011.jpg' @ error/constitute.c/WriteImage/1180. Traceback (most recent call last): File "/usr/bin/archey3", line 549, in <module> main() File "/usr/bin/archey3", line 546, in main screenshot() File "/usr/bin/archey3", line 424, in screenshot subprocess.check_call(['import', '-window', 'root', ctime().replace(' ','_')+'.jpg']) File "/usr/lib/python3.1/subprocess.py", line 434, in check_call raise CalledProcessError(retcode, cmd) subprocess.CalledProcessError: Command '['import', '-window', 'root', 'Sun_Jan_23_12:51:38_2011.jpg']' returned non-zero exit status 1 Seems to be an error with ImageMagick.

commented on 2011-01-17 12:02 (UTC)

Would be better, you change the PKGBUILD with the following "patch": http://aur.pastebin.com/41nHmjxG right now, /usr/bin/archey links to archey3 in the build-directory and not to /usr/bin/archey3

JokerBoy commented on 2010-11-25 22:07 (UTC)

http://pastebin.com/gGNDbFsr

commented on 2010-11-18 07:42 (UTC)

Doesn't seem to detect xmonad unless I change 'xmonad' to 'xmonad-i386-lin'

BluePeppers commented on 2010-11-18 00:05 (UTC)

Oh that is a mess. I'll look into it tomorrow.

graysky commented on 2010-11-17 22:10 (UTC)

"If it's below 30%, then it's green, about 30 but below 60%, orange, and above that red." OK... now I have blue and green and the blue ones are not bold while the green ones are bold. http://img268.imageshack.us/img268/8513/samplezz.jpg Currently, the following numerators are green: Boot FS: 28M / 194M (ext3) Currently, the following numerators are blue: Root FS: 3.4G / 12G (ext4) Var FS: 1.8G / 7.9G (ext4) Home FS: 4.1G / 63G (ext4) Shm FS: 68M / 7.0G (tmpfs) Tmp FS: 44K / 2.0G (tmpfs)

BluePeppers commented on 2010-11-17 22:00 (UTC)

Try the latest, I've fixed a bug in the function concerned, I don't know if it will fix your bug, however.

graysky commented on 2010-11-17 21:12 (UTC)

@BP - it's beautiful, thanks for the efforts. I think the only feature you're missing now relative to the archey package is the different colors based on file system usage you psoted about on 07-Nov-2010. Currently, the following numerators are green: Root FS: 3.4G / 12G (ext4) Home FS: 4.1G / 63G (ext4) Shm FS: 66M / 7.0G (tmpfs) Tmp FS: 44K / 2.0G (tmpfs) Currently, the following numerators are red: Boot FS: 28M / 194M (ext3) Var FS: 1.8G / 7.9G (ext4)

BluePeppers commented on 2010-11-17 19:44 (UTC)

trizen, done graysky, I've added bold where I think you wanted it. Could you check please?

BluePeppers commented on 2010-11-07 15:40 (UTC)

Ok. I'll look into adding bold some time in the future.

graysky commented on 2010-11-07 15:24 (UTC)

@BP - I think so, but the first part of the text needs to be bold. The numbers below that I put dollar signs around: ; #####; RAM: $709 MB$ / 7993 MB +##.##### Root FS: $3.4G$ / 12G (ext4) +########## Boot FS: $27M$ / 114M (ext3) #############; Home FS: $3.7G$ / 63G (ext4) ###############+ Var FS: $1.7G$ / 7.7G (ext4) ####### ####### Shm FS: $80M$ / 7.0G (tmpfs) .######; ;###;`". Tmp FS: $9.5M$ / 2.0G (tmpfs) .#######; ;#####. #########. .########` ######' '###### ;#### ####; ##' '## #' `#

BluePeppers commented on 2010-11-07 14:17 (UTC)

Is http://img210.imageshack.us/img210/9830/snapshot7y.png that more like what you want? I fixed the problem with the seemingly random application of color, the percentage was getting reversed, it is now not.

graysky commented on 2010-11-07 14:00 (UTC)

Just brought down the latest one, colors are there but seem to be randomly applied: http://img100.imageshack.us/img100/6045/screenshot1in.png Also, archey makes the numerator in bold text :) I didn't realize they the color depends on usage. Very nice!

BluePeppers commented on 2010-11-07 11:51 (UTC)

Please don't make me dig into the archey sources :) I've added color to the FS and RAM, tell me if it is what you want. The point at which the colors are changed are fairly arbitrary. If it's below 30%, then it's green, about 30 but below 60%, orange, and above that red.

graysky commented on 2010-11-07 11:11 (UTC)

@BP - nice idea. Another minor cosmetic issue: can you make archey3 have the same green color for disk usage as archey does?

BluePeppers commented on 2010-11-06 16:30 (UTC)

You can always pass the DISPLAY as an argument. For example "archey3 -d 'fs:/home.ram.env:SHELL'" will set DISPLAY to ['fs:/home', 'ram', 'env:SHELL']. More detail can be found on the readme at https://github.com/bluepeppers/archey3. However, I plan to migrate archey3 to a plugin driven architecture, so I'll have a dir where you can drop plugins, and a conf file somewhere in $XDG_CONFIG_HOME. However, at the moment I don't have time enough to make major changes, only fix simple bugs. I'll try to get it done by the new year though.

graysky commented on 2010-11-06 13:42 (UTC)

Nice, thanks BP. Suggestion: make ~/.archey.conf that stores the DISPLAY options. Every time you update archey3 I need to re-edit /usr/bin/archey3 to set up as I want.

BluePeppers commented on 2010-11-05 10:00 (UTC)

Should be fixed now.

BluePeppers commented on 2010-11-05 09:55 (UTC)

Radioactiveman, I've fixed that bug (use zsh, much better :)). Graysky, I'll look into it.

graysky commented on 2010-11-04 20:40 (UTC)

Minor cosmetic bug with the script. 6 min of uptime = 0:6 in the counter... should be 0:06 Love the script btw!

Radioactiveman commented on 2010-10-19 15:30 (UTC)

Letters are blue after starting archey3. Bug or feature? ;)

BluePeppers commented on 2010-09-23 06:33 (UTC)

Fixed :) sorry about that, I hadn't tested it with mpd uninstalled.

commented on 2010-09-23 05:08 (UTC)

Hi BluePeppers, I'm having this error: $ archey3 Traceback (most recent call last): File "/usr/bin/archey3", line 489, in <module> main() File "/usr/bin/archey3", line 483, in main archey.render() File "/usr/bin/archey3", line 399, in render results = self.prepare_results() File "/usr/bin/archey3", line 417, in prepare_results out = render(cls(*args, parent=self)) File "/usr/bin/archey3", line 384, in render instance.run_command() File "/usr/bin/archey3", line 342, in run_command super().run_command() File "/usr/bin/archey3", line 164, in run_command self.proccess = Popen(cmd.split(), stdin=PIPE, stdout=PIPE, stderr=PIPE) File "/usr/lib/python3.1/subprocess.py", line 658, in __init__ errread, errwrite) File "/usr/lib/python3.1/subprocess.py", line 1158, in _execute_child raise child_exception OSError: [Errno 2] No such file or directory